Delete Schedule Campaign Data (Token authentication)

Generated from cURL: curl --location 'https://api.pre-prod.ozonetel.com/ca_apis/PhoneManageV2'
--header 'apiKey: KK00b15555afb7066312663b969a75f74d'
--header 'Content-Type: application/json'
--data '{
"userName":"preprod",
"row_id":"121"

}'

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Delete Scheduled Data API is used to delete the scheduled data inserted in the backend. Data is deleted based on row ID. A sequence of numbers can be deleted in a single request by passing the range of row IDs.

📘

APIs Domain Name

For domestic ccaas - enter the domain: in1-ccaas-api.ozonetel.com

For international ccaas - enter the domain: api.ccaas.ozonetel.com

For Partners - enter the respective URL

To use this API with the help of a token, follow these steps:

  1. Generate the Token: Use the 'Generate Token' API to obtain an authentication token.
  2. Enter the Token ID: Navigate to the right section of this page, under the 'AUTHORIZATION' tab. Here, input the generated token ID.
  3. With the token entered, pass the below header and body parameters:

Header parameters

ParameterDescription
Content-Typeapplication/json

Body Params

{
"userName":"xxxxx",
"rowId":"xxxx"

}

ParameterDescription
userNameYour CouldAgent account username
rowId*Can be retrieved from Schedule Data status API
❗️

Note

  • Data can be deleted in below methods by passing desired row_id values
  • Single record (example: row_id=1)
  • Multiple numbers separated by commas ( example: row_id=2,3,5,6)
  • Range of numbers by passing rage (example: row_id=3-10)
  • Parameters with ‘*’ are considered to be mandatory parameters.

Possible responses

Success response"status": "success"
"message": {
Invalid api_key"status": "error"
"message": "No data found"
Missing row_id"status": "error"
"message": "Mandatory parameter row_id is missing
Invalid row_id"status": "error"
"message": "No data found"
Body Params
Response

Language
Credentials
Bearer
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here!